Package Scientific :: Package Geometry :: Module Transformation :: Class Transformation

[frames] | no frames]

# Class Transformation

Known Subclasses:
  - Scaling
  - , LinearTransformation
  - , RigidBodyTransformation
  - , Shear

Linear coordinate transformation.

Transformation objects represent linear coordinate transformations in a 3D space. They can be applied to vectors, returning another vector. If t is a transformation and v is a vector, t(v) returns the transformed vector.

Transformations support composition: if t1 and t2 are transformation objects, t1*t2 is another transformation object which corresponds to applying t1 after t2.

This class is an abstract base class. Instances can only be created of concrete subclasses, i.e. translations or rotations.

Instance Methods

Scientific.Geometry.Vector

__call__(self, vector) Returns: the transformed vector |

Transformation

inverse(self) Returns: the inverse transformation |

Method Details

### __call__(self, vector)
(Call operator)

Parameters:
  - `vector` (Scientific.Geometry.Vector) - the input vector
Returns: Scientific.Geometry.Vector
  the transformed vector

### inverse(self)

Returns: Transformation
  the inverse transformation